TaskCentre Server installation fails with the error: Failed to load and use iwinstall.dll

Symptom

Unable to install the TaskCentre Server, the following error message is received when an install is attempted:

Failed to load and use iwinstall.dll, caused by missing .net 2.0 or higher

Cause

This only affects the installer, it requires .Net 2.0 framework to be present. The TaskCentre Server will still function as normal if later versions of .Net are present, it will use the latest version in preference.

Applies To

Prior to TaskCentre Server v4.6 SR1

Resolution

Install .Net 2.0 framework.